#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Feb 12 12:15:26 2021

@author: tanu
"""
import os
homedir = os.path.expanduser('~')
os.chdir (homedir + '/git/LSHTM_analysis/mcsm_na')
from submit_mcsm_na import *
from get_results_mcsm_na import *
#%%#####################################################################
#EXAMPLE RUN for different stages
#=====================
# STAGE: submit_mcsm_na.py
#=====================
my_host = 'http://biosig.unimelb.edu.au'
my_prediction_url = f"{my_host}/mcsm_na/run_prediction_list"
print(my_prediction_url)

my_outdir = homedir + '/git/LSHTM_analysis/mcsm_na'
my_nuc_type = 'RNA'
my_pdb_file = homedir + '/git/Data/streptomycin/input/gid_complex.pdb'
my_mutation_list = homedir + '/git/LSHTM_analysis/mcsm_na/test_snps_b1.csv'
my_suffix = 'TEST'

#----------------------------------------------
# example 1: 2 snps in a file
#----------------------------------------------
submit_mcsm_na(host_url = my_host
, pdb_file = my_pdb_file
, mutation_list = my_mutation_list
, nuc_type = my_nuc_type
, prediction_url = my_prediction_url
, output_dir = my_outdir
, outfile_suffix = my_suffix) 
#%%###################################################################

#=====================
# STAGE: get_results.py
#=====================
my_host = 'http://biosig.unimelb.edu.au'
my_outdir = homedir + '/git/LSHTM_analysis/mcsm_na'

#----------------------------------------------
# example 1: single url in a single file
#----------------------------------------------
my_url_file_single = homedir + '/git/LSHTM_analysis/mcsm_na/mcsm_na_temp/mcsm_na_result_url_gid_test_b1.txt'
print(my_url_file_single)
my_suffix = 'single'

get_results(url_file  = my_url_file_single
            , host_url = my_host
            , output_dir = my_outdir
            , outfile_suffix = my_suffix)
